# Mush makefile for system V.  Note: SIGRET should return void for normal
# sys-v, but Att PC users should *not* have it defined.  See the README!!
#
HDRS1= mush.h config.h
HDRS2= strings.h options.h
HDRS3= bindings.h
SRCS1= commands.c dates.c execute.c expr.c folders.c \
	hdrs.c init.c loop.c mail.c main.c misc.c msgs.c pick.c \
	print.c setopts.c signals.c sort.c viewopts.c options.c lock.c
SRCS2= bind.c curs_io.c curses.c help.c file.c strings.c macros.c addrs.c

OBJS1= commands.o dates.o execute.o expr.o folders.o \
	hdrs.o init.o loop.o mail.o main.o misc.o msgs.o pick.o \
	print.o setopts.o signals.o sort.o viewopts.o options.o lock.o
OBJS2= bind.o curs_io.o curses.o help.o file.o strings.o macros.o addrs.o

HELP_FILES= README README-6.0 README-6.1 README-6.2 README-6.3 README-6.4 \
	mush.1 Mailrc Gnurc cmd_help sample.mushrc advanced.mushrc
MAKES= makefile.sys.v makefile.xenix makefile.bsd

# Sun OS systems who wish to compile with sys-v options:
# CC= /usr/5bin/cc
# CFLAGS= 	-O -DSYSV -DCURSES -DUSG
# LIBS= -L/usr/5lib -lcurses
CFLAGS= 	-O -DSYSV -DCURSES -DREGCMP -DUSG -DSIGRET=void
LDFLAGS= 	-s
LIBS= 		-lcurses -lPW
PROG=		mush

$(PROG): $(OBJS1) $(OBJS2)
	@echo loading...
	@$(CC) $(LDFLAGS) $(OBJS1) $(OBJS2) -o $(PROG) $(LIBS)

$(OBJS1): $(HDRS1) $(HDRS2)
$(OBJS2): $(HDRS1) $(HDRS2) $(HDRS3)
help.o: strings.h
